/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct OwnerInfo {
    /// A unique, 26 characters long, alphanumeric identifier for the owner.
    #[serde(rename = "user_id")]
    pub user_id: String,
    /// Owner's username.
    #[serde(rename = "username")]
    pub username: String,
}

impl OwnerInfo {
    pub fn new(user_id: String, username: String) -> OwnerInfo {
        OwnerInfo { user_id, username }
    }
}
